Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.daas.complextype.v1
Class Actor

    java.lang.Object
      be.fgov.ehealth.daas.complextype.v1.Actor

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:21:38+02:00",
               comments="JAXB RI v2.2.11")
    public class Actor

extends Object
implements Serializable

Identifier, name and occupation period of an actor (organization, INSS,...)

Java class for ActorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:be:fgov:ehealth:daas:complextype:v1}TypeCodeType" maxOccurs="unbounded"/>
             <choice minOccurs="0">
               <sequence>
                 <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
                 <element name="MiddleName" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
                 <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
               </sequence>
               <sequence>
                 <element name="Name" type="{urn:be:fgov:ehealth:daas:complextype:v1}NameType" maxOccurs="unbounded"/>
               </sequence>
             </choice>
             <element name="Period" type="{urn:be:fgov:ehealth:daas:complextype:v1}PeriodType" minOccurs="0"/>
             <element name="Actor" type="{urn:be:fgov:ehealth:daas:complextype:v1}ActorType" minOccurs="0"/>
           </sequence>
           <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Actor()`

Method Summary
`Actor` | `getActor()` Gets the value of the actor property.
`Object` | `getFirstName()` Gets the value of the firstName property.
`List<TypeCodeType>` | `getIds()` Gets the value of the ids property.
`Object` | `getLastName()` Gets the value of the lastName property.
`Object` | `getMiddleName()` Gets the value of the middleName property.
`List<Name>` | `getNames()` Gets the value of the names property.
`PeriodType` | `getPeriod()` Gets the value of the period property.
`String` | `getType()` Gets the value of the type property.
`void` | `setActor(Actor value)` Sets the value of the actor property.
`void` | `setFirstName(Object value)` Sets the value of the firstName property.
`void` | `setLastName(Object value)` Sets the value of the lastName property.
`void` | `setMiddleName(Object value)` Sets the value of the middleName property.
`void` | `setPeriod(PeriodType value)` Sets the value of the period property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Actor

    public Actor()

Method Detail

### getIds

    public List<TypeCodeType> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `TypeCodeType`

### getNames

    public List<Name> getNames()

  Gets the value of the names property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the names property.

  For example, to add a new item, do as follows:

          getNames().add(newItem);

  Objects of the following type(s) are allowed in the list `Name`

### getFirstName

    public Object getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `Object`

### setFirstName

    public void setFirstName(Object value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `Object`

### getMiddleName

    public Object getMiddleName()

  Gets the value of the middleName property.

  Returns:
    possible object is `Object`

### setMiddleName

    public void setMiddleName(Object value)

  Sets the value of the middleName property.

  Parameters:
    `value` - allowed object is `Object`

### getLastName

    public Object getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `Object`

### setLastName

    public void setLastName(Object value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `Object`

### getPeriod

    public PeriodType getPeriod()

  Gets the value of the period property.

  Returns:
    possible object is `PeriodType`

### setPeriod

    public void setPeriod(PeriodType value)

  Sets the value of the period property.

  Parameters:
    `value` - allowed object is `PeriodType`

### getActor

    public Actor getActor()

  Gets the value of the actor property.

  Returns:
    possible object is `Actor`

### setActor

    public void setActor(Actor value)

  Sets the value of the actor property.

  Parameters:
    `value` - allowed object is `Actor`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.